Failed make check on gr_top_block_sptr_connect


#1

I am attempting to install GNU radio on Ubuntu 8.10, 2.6.27-7 kernel on
an i686 computer. I get the following error (4 times).

How do I get around this, and will it still run properly?

======================================================================
ERROR: test_loopback_003 (main.qa_atsc)

Traceback (most recent call last):
File “./qa_atsc.py”, line 209, in test_loopback_003
self.tb.connect(src, rand, rs_enc, inter, trellis, softds, viterbi,
deinter, rs_dec, derand, dst)
File
“/home/mcpetzold/gnuradio/gnuradio-core/src/python/gnuradio/gr/top_block.py”,
line 99, in connect
self._connect(points[i-1], points[i])
File
“/home/mcpetzold/gnuradio/gnuradio-core/src/python/gnuradio/gr/top_block.py”,
line 105, in _connect
dst_block.basic_block(), dst_port)
File
“/home/mcpetzold/gnuradio/gnuradio-core/src/lib/swig/gnuradio_swig_py_runtime.py”,
line 1469, in connect
return _gnuradio_swig_py_runtime.gr_top_block_sptr_connect(*args)
NotImplementedError: Wrong number of arguments for overloaded function
‘gr_top_block_sptr_connect’.
Possible C/C++ prototypes are:
connect(boost::shared_ptr< gr_top_block > *,gr_basic_block_sptr)
connect(boost::shared_ptr< gr_top_block >
*,gr_basic_block_sptr,int,gr_basic_block_sptr,int)


Ran 4 tests in 1.761s

FAILED (errors=4)
FAIL: run_tests

1 of 1 tests failed

make[4]: *** [check-TESTS] Error 1
make[4]: Leaving directory /home/mcpetzold/gnuradio/gr-atsc/src/python' make[3]: *** [check-am] Error 2 make[3]: Leaving directory/home/mcpetzold/gnuradio/gr-atsc/src/python’
make[2]: *** [check-recursive] Error 1
make[2]: Leaving directory /home/mcpetzold/gnuradio/gr-atsc/src' make[1]: *** [check-recursive] Error 1 make[1]: Leaving directory/home/mcpetzold/gnuradio/gr-atsc’
make: *** [check-recursive] Error 1

Thanks,

Mark C. Petzold, Ph.D.
Associate Professor
Department of Electrical and Computer Engineering, ECC 211
St. Cloud State University
720 Fourth Ave. South
St. Cloud, MN 56301
(320) 308-4182
removed_email_address@domain.invalid


#2

On Fri, 2008-11-14 at 12:19 -0600, Petzold, Mark C. wrote:

I am attempting to install GNU radio on Ubuntu 8.10, 2.6.27-7 kernel on an i686 computer. I get the following error (4 times).

Which version of the software are you trying to install?

How do I get around this, and will it still run properly?

Recompile, but add --disable-gr-atsc to the “configure” command.

-Johnathan